Flex-Fees

Add, edit, and delete anything related to downloads.

Flexfee

fee_id
integer

The internal ID for this flex-fee

fee_label
string

The label for the fee shown to admin and shopper.

fee_description
string

A description in the form of a list of requirements for the fee.

countries
string

Optional, comma separated list, of 2-character country code(s) (typically iso2_cnt).

states
string

Optional, comma separated list, of 2-character state code.

cities
string

Optional, comma separated list, of city names.

postal_codes
string

Optional, comma separated list, of postal codes.

categories
string

Optional, comma separated list, of category IDs.

roles
string

Optional, comma separated list, of user roles.

zones
string

Optional, comma separated list, of shipping zone IDs.

fee_type
number

Types may be 1 (Rate Fee) or 2 (Price Fee).

rate
number

The percentage of this fee when it applies and the type is a rate type fee.

price
number

The price or amount to apply when this fee applies and is a price fee type.

min
number

The minimum charge, applicable only for rate based fees.

max
number

The maximum charge, applicable only for rate based fees.

payment_types
string

Optional, comma separated list, of payment types in which this fee applies. Possible values are card, affirm, klarna, afterpay_clearpay, third_party, amazonpay, or manual_bill. Types affirm, klarna, and afterpay_clearpay only apply to Stripe payments.

{
  • "fee_id": 0,
  • "fee_label": "string",
  • "fee_description": "string",
  • "countries": "string",
  • "states": "string",
  • "cities": "string",
  • "postal_codes": "string",
  • "categories": "string",
  • "roles": "string",
  • "zones": "string",
  • "fee_type": 0,
  • "rate": 0,
  • "price": 0,
  • "min": 0,
  • "max": 0,
  • "payment_types": "string"
}

Gets a list of flex-fees

This allows you to get a list of flex-fees

SecuritybearerAuth or basicAuth
Request
query Parameters
page
integer <int64>

Page number starting at 1

perpage
integer <int64>

Number of items per page

sortby
string

Sort results by term

sortdir
string

Sort results ASC or DESC

search
string

Filter flex-fees by a search term

Responses
200

Successful operation

400

Unauthorized

get/flexfees
Request samples
Response samples
application/json
[
  • {
    }
]

Add a flex-fee

This allows you to add a new flex-fee

SecuritybearerAuth
Request
Request Body schema: application/json
required

Submit any or all elements to add a new flex-fee.

fee_label
required
string

The label for the fee shown to admin and shopper.

fee_description
string

A description in the form of a list of requirements for the fee.

countries
string

Optional, comma separated list, of 2-character country code(s) (typically iso2_cnt).

states
string

Optional, comma separated list, of 2-character state code.

cities
string

Optional, comma separated list, of city names.

postal_codes
string

Optional, comma separated list, of postal codes.

categories
string

Optional, comma separated list, of category IDs.

roles
string

Optional, comma separated list, of user roles.

zones
string

Optional, comma separated list, of shipping zone IDs.

fee_type
number

Types may be 1 (Rate Fee) or 2 (Price Fee).

rate
number

The percentage of this fee when it applies and the type is a rate type fee.

price
number

The price or amount to apply when this fee applies and is a price fee type.

min
number

The minimum charge, applicable only for rate based fees.

max
number

The maximum charge, applicable only for rate based fees.

payment_types
string

Optional, comma separated list, of payment types in which this fee applies. Possible values are card, affirm, klarna, afterpay_clearpay, third_party, amazonpay, or manual_bill. Types affirm, klarna, and afterpay_clearpay only apply to Stripe payments.

Responses
200

Successful operation

400

Unauthorized

post/flexfees
Request samples
application/json
{
  • "fee_label": "string",
  • "fee_description": "string",
  • "countries": "string",
  • "states": "string",
  • "cities": "string",
  • "postal_codes": "string",
  • "categories": "string",
  • "roles": "string",
  • "zones": "string",
  • "fee_type": 0,
  • "rate": 0,
  • "price": 0,
  • "min": 0,
  • "max": 0,
  • "payment_types": "string"
}
Response samples
application/json
{
  • "fee_id": 0,
  • "fee_label": "string",
  • "fee_description": "string",
  • "countries": "string",
  • "states": "string",
  • "cities": "string",
  • "postal_codes": "string",
  • "categories": "string",
  • "roles": "string",
  • "zones": "string",
  • "fee_type": 0,
  • "rate": 0,
  • "price": 0,
  • "min": 0,
  • "max": 0,
  • "payment_types": "string"
}

Gets a flex-fee by ID

This allows you to get a flex-fee from your store by flex-fee ID

SecuritybearerAuth or basicAuth
Request
path Parameters
fee_id
required
integer <int64>

Flex-Fee ID

Responses
200

Successful operation

400

Unauthorized

get/flexfees/{fee_id}
Request samples
Response samples
application/json
{
  • "country_id": 0,
  • "name_cnt": "string",
  • "enabled": true,
  • "iso2_cnt": "string",
  • "iso3_cnt": "string",
  • "vat_rate": 0,
  • "stripe_taxrate_id": "string",
  • "vat_b2b_enabled": true
}

Updates a flex-fee by ID

This allows you to update a flex-fee

SecuritybearerAuth
Request
path Parameters
fee_id
required
integer <int64>

Flex-Fee ID

Request Body schema: application/json
required

Submit any or all elements to update the flex-fee.

fee_label
string

The label for the fee shown to admin and shopper.

fee_description
string

A description in the form of a list of requirements for the fee.

countries
string

Optional, comma separated list, of 2-character country code(s) (typically iso2_cnt).

states
string

Optional, comma separated list, of 2-character state code.

cities
string

Optional, comma separated list, of city names.

postal_codes
string

Optional, comma separated list, of postal codes.

categories
string

Optional, comma separated list, of category IDs.

roles
string

Optional, comma separated list, of user roles.

zones
string

Optional, comma separated list, of shipping zone IDs.

fee_type
number

Types may be 1 (Rate Fee) or 2 (Price Fee).

rate
number

The percentage of this fee when it applies and the type is a rate type fee.

price
number

The price or amount to apply when this fee applies and is a price fee type.

min
number

The minimum charge, applicable only for rate based fees.

max
number

The maximum charge, applicable only for rate based fees.

payment_types
string

Optional, comma separated list, of payment types in which this fee applies. Possible values are card, affirm, klarna, afterpay_clearpay, third_party, amazonpay, or manual_bill. Types affirm, klarna, and afterpay_clearpay only apply to Stripe payments.

Responses
200

Successful operation

400

Unauthorized

patch/flexfees/{fee_id}
Request samples
application/json
{
  • "fee_label": "string",
  • "fee_description": "string",
  • "countries": "string",
  • "states": "string",
  • "cities": "string",
  • "postal_codes": "string",
  • "categories": "string",
  • "roles": "string",
  • "zones": "string",
  • "fee_type": 0,
  • "rate": 0,
  • "price": 0,
  • "min": 0,
  • "max": 0,
  • "payment_types": "string"
}
Response samples
application/json
{
  • "fee_id": 0,
  • "fee_label": "string",
  • "fee_description": "string",
  • "countries": "string",
  • "states": "string",
  • "cities": "string",
  • "postal_codes": "string",
  • "categories": "string",
  • "roles": "string",
  • "zones": "string",
  • "fee_type": 0,
  • "rate": 0,
  • "price": 0,
  • "min": 0,
  • "max": 0,
  • "payment_types": "string"
}

Deletes a flex-fee by ID

This allows you to delete a flex-fee from your store

SecuritybearerAuth
Request
path Parameters
fee_id
required
integer <int64>

Flex-Fee ID

Responses
200

Successful operation

400

Unauthorized

delete/flexfees/{fee_id}
Request samples
Response samples
application/json
{
  • "fee_id": 0,
  • "fee_label": "string",
  • "fee_description": "string",
  • "countries": "string",
  • "states": "string",
  • "cities": "string",
  • "postal_codes": "string",
  • "categories": "string",
  • "roles": "string",
  • "zones": "string",
  • "fee_type": 0,
  • "rate": 0,
  • "price": 0,
  • "min": 0,
  • "max": 0,
  • "payment_types": "string"
}